unit MoreOpts;

{ MIRROR 0.1.2 (Mar  8, 2000) - a frontend for GNU wget
  Copyright (C) 1999-2000 Wolf Behrenhoff <wolf.behrenhoff@gmx.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program. If not, write to the Free Software
  Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ShellApi, Menus;

type
  TMoreOptionsForm = class(TForm)
    OKBtn: TButton;
    GroupBox1: TGroupBox;
    opt_output_file: TCheckBox;
    opt_Debug: TCheckBox;
    opt_non_verbose: TCheckBox;
    GroupBox2: TGroupBox;
    opt_tries: TCheckBox;
    output_fileEdit: TEdit;
    triesEdit: TEdit;
    opt_no_clobber: TCheckBox;
    opt_dot_style: TCheckBox;
    opt_server_response: TCheckBox;
    opt_timeout: TCheckBox;
    timeoutEdit: TEdit;
    opt_wait: TCheckBox;
    waitEdit: TEdit;
    opt_no_proxy: TCheckBox;
    opt_quota: TCheckBox;
    quotaEdit: TEdit;
    GroupBox3: TGroupBox;
    opt_http_user: TCheckBox;
    opt_http_passwd: TCheckBox;
    opt_proxy_user: TCheckBox;
    opt_proxy_passwd: TCheckBox;
    opt_ignore_length: TCheckBox;
    opt_user_agent: TCheckBox;
    opt_cache_off: TCheckBox;
    opt_save_headers: TCheckBox;
    opt_retr_symlinks: TCheckBox;
    opt_passive_ftp: TCheckBox;
    opt_dont_remove_listing: TCheckBox;
    RadioGroup1: TRadioGroup;
    globOn: TRadioButton;
    globOff: TRadioButton;
    globAuto: TRadioButton;
    opt_accept: TCheckBox;
    opt_reject: TCheckBox;
    opt_domains: TCheckBox;
    opt_exclude_domains: TCheckBox;
    opt_include_directories: TCheckBox;
    opt_exclude_directories: TCheckBox;
    http_passwdEdit: TEdit;
    http_userEdit: TEdit;
    proxy_userEdit: TEdit;
    proxy_passwdEdit: TEdit;
    user_agentEdit: TEdit;
    acceptEdit: TEdit;
    rejectEdit: TEdit;
    domainsEdit: TEdit;
    exclude_domainsEdit: TEdit;
    include_directoriesEdit: TEdit;
    exclude_directoriesEdit: TEdit;
    opt_no_host_lookup: TCheckBox;
    Label1: TLabel;
    AdditionalArgsEdit: TEdit;
    RTFMButton: TButton;
    dot_styleComboBox: TComboBox;
    procedure OKBtnClick(Sender: TObject);
    procedure RTFMButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure dot_styleComboBoxChange(Sender: TObject);
    procedure output_fileEditChange(Sender: TObject);
    procedure triesEditChange(Sender: TObject);
    procedure timeoutEditChange(Sender: TObject);
    procedure waitEditChange(Sender: TObject);
    procedure quotaEditChange(Sender: TObject);
    procedure http_userEditChange(Sender: TObject);
    procedure http_passwdEditChange(Sender: TObject);
    procedure proxy_userEditChange(Sender: TObject);
    procedure proxy_passwdEditChange(Sender: TObject);
    procedure user_agentEditChange(Sender: TObject);
    procedure acceptEditChange(Sender: TObject);
    procedure rejectEditChange(Sender: TObject);
    procedure domainsEditChange(Sender: TObject);
    procedure exclude_domainsEditChange(Sender: TObject);
    procedure include_directoriesEditChange(Sender: TObject);
    procedure exclude_directoriesEditChange(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  MoreOptionsForm: TMoreOptionsForm;

implementation

uses MirrorMain;

{$R *.DFM}

procedure TMoreOptionsForm.OKBtnClick(Sender: TObject);
begin
  Close;
end;

procedure TMoreOptionsForm.RTFMButtonClick(Sender: TObject);
begin
  ShellExecute(Application.MainForm.Handle, NIL,
               PChar(ChangeFileExt(MainForm.getWGETPath,'.hlp')),
               '','', SW_SHOWNORMAL);
end;

procedure TMoreOptionsForm.FormCreate(Sender: TObject);
begin
  dot_styleComboBox.ItemIndex:=1;
end;

procedure TMoreOptionsForm.dot_styleComboBoxChange(Sender: TObject);
begin
  opt_dot_style.Checked:=True;
end;

procedure TMoreOptionsForm.output_fileEditChange(Sender: TObject);
begin
  opt_output_file.Checked:=True;
end;

procedure TMoreOptionsForm.triesEditChange(Sender: TObject);
begin
  opt_tries.Checked:=True;
end;

procedure TMoreOptionsForm.timeoutEditChange(Sender: TObject);
begin
  opt_timeout.Checked:=True;
end;

procedure TMoreOptionsForm.waitEditChange(Sender: TObject);
begin
  opt_wait.checked:=True;
end;

procedure TMoreOptionsForm.quotaEditChange(Sender: TObject);
begin
  opt_quota.Checked:=True;
end;

procedure TMoreOptionsForm.http_userEditChange(Sender: TObject);
begin
  opt_http_user.Checked:=True;
end;

procedure TMoreOptionsForm.http_passwdEditChange(Sender: TObject);
begin
  opt_http_passwd.Checked:=True;
end;

procedure TMoreOptionsForm.proxy_userEditChange(Sender: TObject);
begin
  opt_proxy_user.Checked:=True;
end;

procedure TMoreOptionsForm.proxy_passwdEditChange(Sender: TObject);
begin
  opt_proxy_passwd.Checked:=True;
end;

procedure TMoreOptionsForm.user_agentEditChange(Sender: TObject);
begin
  opt_user_agent.Checked:=True;
end;

procedure TMoreOptionsForm.acceptEditChange(Sender: TObject);
begin
  opt_accept.Checked:=True;
end;

procedure TMoreOptionsForm.rejectEditChange(Sender: TObject);
begin
  opt_reject.Checked:=True;
end;

procedure TMoreOptionsForm.domainsEditChange(Sender: TObject);
begin
  opt_domains.Checked:=True;
end;

procedure TMoreOptionsForm.exclude_domainsEditChange(Sender: TObject);
begin
  opt_exclude_domains.Checked:=True;
end;

procedure TMoreOptionsForm.include_directoriesEditChange(Sender: TObject);
begin
  opt_include_directories.Checked:=True;
end;

procedure TMoreOptionsForm.exclude_directoriesEditChange(Sender: TObject);
begin
  opt_exclude_directories.Checked:=True;
end;

end.
